import { OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { EntityFileService } from '../../entity-files';
import { FileDropperConfig } from '../../file-dropper';
import * as i0 from "@angular/core";
export declare class FileDragdropUploaderComponent implements OnInit, ControlValueAccessor {
    private entityFileService;
    fileList: any[];
    constructor(entityFileService: EntityFileService);
    label: string;
    fileDropperConfig: FileDropperConfig;
    disabled: boolean;
    selectedFiles: FormControl<any>;
    onChange: (value: any) => void;
    onTouched: () => void;
    ngOnInit(): void;
    writeValue(obj: any[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    /**
     * Reset the form control value
     */
    resetField(): void;
    onFileChanged(files: File[]): void;
    isImage(file: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDragdropUploaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileDragdropUploaderComponent, "app-file-dragdrop-uploader", never, { "label": { "alias": "label"; "required": false; }; "fileDropperConfig": { "alias": "fileDropperConfig"; "required": false; }; }, {}, never, never, false, never>;
}
